Name:		perl-Test-Synopsis
Version:	0.06
Release:	4%{?dist}
Summary:	Test your SYNOPSIS code
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Test-Synopsis/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/Test-Synopsis-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::Builder::Module)
BuildRequires:	perl(Test::Perl::Critic)
BuildRequires:	perl(Test::Pod) >= 1.00
# aspell-en not available in EL-6 onwards (#590700)
%if 0%{?fedora} || 0%{?rhel} < 6
BuildRequires:	perl(Test::Spelling), aspell-en
%endif
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(Test::Builder::Module)

%{?perl_default_filter}

%description
Test::Synopsis is an (author) test module to find .pm or .pod files under your
lib directory and then make sure the example snippet code in your SYNOPSIS
section passes the perl compile check.

Note that this module only checks the perl syntax (by wrapping the code with
sub) and doesn't actually run the code.

%prep
%setup -q -n Test-Synopsis-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
chmod -R u+w %{buildroot}

%check
make test TEST_FILES="t/*.t xt/*.t"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Synopsis.3pm*

%changelog
* Tue Jun 15 2010 Paul Howarth <paul@city-fan.org> 0.06-4
- Whittle down for Fedora submission

* Mon May 17 2010 Paul Howarth <paul@city-fan.org> 0.06-3
- Fix dist tag for RHEL-6 Beta

* Tue Feb  2 2010 Paul Howarth <paul@city-fan.org> 0.06-2
- Add buildreq perl(Test::Perl::Critic) if we have Perl 5.8.8 or later

* Fri Nov 27 2009 Paul Howarth <paul@city-fan.org> 0.06-1
- Initial RPM version
